package com.jxml.quick.util.qjmlExpand;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCBean extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QMBean dm=(QMBean)dataModel;
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		addStringAttribute("label",dm.label);
		addStringAttribute("tag",dm.tag);
		addBooleanAttribute("wild",dm.wild);
		addStringAttribute("type",dm.type);
		addBooleanAttribute("generate",dm.generate);
		addBooleanAttribute("inline",dm.inline);

		startElement("bean");

		doCvt(dm.remList,null);
		doCvt(dm.extendor,null);
		doCvt(dm.implementsList,null);
		doCvt(dm.target,null);
		doCvt(dm.attributes,dm);
		doCvt(dm.elements,dm);
		doCvt(dm.fieldList,dm);
		doCvt(dm.propertyList,dm);

		endElement("bean");
	}
}
